### Constructor

# Gtk CustomSorter new

#### Declaration [src]

    GtkCustomSorter*
    gtk_custom_sorter_new (
      GCompareDataFunc sort_func,
      gpointer user_data,
      GDestroyNotify user_destroy
    )

#### Description [src]

Creates a new `GtkSorter` that works by calling `sort_func` to compare items.

If `sort_func` is `NULL`, all items are considered equal.

#### Parameters

`sort_func` | `GCompareDataFunc`
| The `GCompareDataFunc` to use for sorting.
`user_data` | `gpointer`
| User data to pass to `sort_func`.
`user_destroy` | `GDestroyNotify`
| Destroy notify for `user_data`.

#### Return value

Returns: | `GtkCustomSorter`
| A new `GtkCustomSorter`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.